
electronique_base_temps_004_16f628_Init:

;electronique_base_temps_004_16f628.mpas,51 :: 		begin
;electronique_base_temps_004_16f628.mpas,52 :: 		bUseTimer0 := false;       // set to true to use Timer0
	CLRF       _bUseTimer0+0
;electronique_base_temps_004_16f628.mpas,53 :: 		bUseTimer1 := false;       // set to true to use Timer1
	CLRF       _bUseTimer1+0
;electronique_base_temps_004_16f628.mpas,54 :: 		bUseTimer2 := true;       // set to true to use Timer2
	MOVLW      255
	MOVWF      _bUseTimer2+0
;electronique_base_temps_004_16f628.mpas,57 :: 		CMCON := 7;
	MOVLW      7
	MOVWF      CMCON+0
;electronique_base_temps_004_16f628.mpas,60 :: 		INTCON.GIE  := 1;            // enable global interrupts
	BSF        INTCON+0, 7
;electronique_base_temps_004_16f628.mpas,61 :: 		INTCON.PEIE := bUseTimer1 or bUseTimer2;   // enable peripheral int if timer1 or timer2 used
	BSF        INTCON+0, 6
;electronique_base_temps_004_16f628.mpas,62 :: 		INTCON.T0IE := bUseTimer0;   // enable timer0 int
	BCF        INTCON+0, 5
;electronique_base_temps_004_16f628.mpas,63 :: 		INTCON.INTE := 0;            // disable RB0 int
	BCF        INTCON+0, 4
;electronique_base_temps_004_16f628.mpas,64 :: 		INTCON.RBIE := 0;            // disable RB4..RB7 int
	BCF        INTCON+0, 3
;electronique_base_temps_004_16f628.mpas,67 :: 		OPTION_REG.NOT_RBPU := 1; // bit 7 - Pullup OFF
	BSF        OPTION_REG+0, 7
;electronique_base_temps_004_16f628.mpas,68 :: 		OPTION_REG.T0CS := 0;     // bit 5 - TMR0 Clock Source Select bit:0=Internal Clock (CLKO) / 1=Transition on T0CKI pin
	BCF        OPTION_REG+0, 5
;electronique_base_temps_004_16f628.mpas,69 :: 		OPTION_REG.T0SE := 0;     // bit 4 - TMR0 Source Edge Select bit: 0=low/high / 1=high/low
	BCF        OPTION_REG+0, 4
;electronique_base_temps_004_16f628.mpas,70 :: 		OPTION_REG.PSA  := 0;     // bit 3 - Prescaler Assignment bit: 0=Prescaler is assigned to the Timer0
	BCF        OPTION_REG+0, 3
;electronique_base_temps_004_16f628.mpas,71 :: 		OPTION_REG.PS2  := 0;     // bit 2 |
	BCF        OPTION_REG+0, 2
;electronique_base_temps_004_16f628.mpas,72 :: 		OPTION_REG.PS1  := 0;     // bit 1 | bits 2-0 - PS2:PS0: Prescaler Rate Select bits
	BCF        OPTION_REG+0, 1
;electronique_base_temps_004_16f628.mpas,73 :: 		OPTION_REG.PS0  := 0;     // bit 0 |
	BCF        OPTION_REG+0, 0
;electronique_base_temps_004_16f628.mpas,74 :: 		TMR0 := cTimer0Preload;   // preload for timer register
	MOVLW      32
	MOVWF      TMR0+0
;electronique_base_temps_004_16f628.mpas,77 :: 		PIE1.TMR1IE       := bUseTimer1;   // enable timer1 int
	BCF        PIE1+0, 0
;electronique_base_temps_004_16f628.mpas,78 :: 		T1CON.T1CKPS1     := 0;   // bit 5 | Prescaler Rate Select bits
	BCF        T1CON+0, 5
;electronique_base_temps_004_16f628.mpas,79 :: 		T1CON.T1CKPS0     := 0;   // bit 4 |
	BCF        T1CON+0, 4
;electronique_base_temps_004_16f628.mpas,80 :: 		T1CON.T1OSCEN     := 1;   // bit 3 - Timer1 Oscillator Enable Control: bit 1=on
	BSF        T1CON+0, 3
;electronique_base_temps_004_16f628.mpas,81 :: 		T1CON.NOT_T1SYNC  := 1;   // bit 2 - Timer1 External Clock Input Synchronization Control bit: 1=Do not synchronize external clock input
	BSF        T1CON+0, 2
;electronique_base_temps_004_16f628.mpas,82 :: 		T1CON.TMR1CS      := 0;   // bit 1 - Timer1 Clock Source Select bit: 0=Internal clock (FOSC/4) / 1 = External clock from pin T13CKI (on the rising edge)
	BCF        T1CON+0, 1
;electronique_base_temps_004_16f628.mpas,83 :: 		T1CON.TMR1ON      := bUseTimer1;   // bit 0 - enable timer1
	BCF        T1CON+0, 0
;electronique_base_temps_004_16f628.mpas,84 :: 		TMR1H := cTimer1PreloadH; // preload for timer1 MSB register
	MOVLW      254
	MOVWF      TMR1H+0
;electronique_base_temps_004_16f628.mpas,85 :: 		TMR1L := cTimer1PreloadL; // preload for timer1 LSB register
	MOVLW      48
	MOVWF      TMR1L+0
;electronique_base_temps_004_16f628.mpas,88 :: 		PIE1.TMR2IE   := bUseTimer2;   // enable timer2 int
	BSF        PIE1+0, 1
;electronique_base_temps_004_16f628.mpas,89 :: 		T2CON.TOUTPS3 := 0;  // bit 6 |
	BCF        T2CON+0, 6
;electronique_base_temps_004_16f628.mpas,90 :: 		T2CON.TOUTPS2 := 0;  // bit 5 | - bits 6-3 Post scaler 1:1 thru 1:16
	BCF        T2CON+0, 5
;electronique_base_temps_004_16f628.mpas,91 :: 		T2CON.TOUTPS1 := 0;  // bit 4 |
	BCF        T2CON+0, 4
;electronique_base_temps_004_16f628.mpas,92 :: 		T2CON.TOUTPS0 := 1;  // bit 3 |
	BSF        T2CON+0, 3
;electronique_base_temps_004_16f628.mpas,93 :: 		T2CON.TMR2ON  := bUseTimer2;  // bit 2 - Timer2 on bit: 1=Timer2 is on;
	BSF        T2CON+0, 2
;electronique_base_temps_004_16f628.mpas,94 :: 		T2CON.T2CKPS1 := 0;  // bit 1 | - bits 1-0  Prescaler Rate Select bits
	BCF        T2CON+0, 1
;electronique_base_temps_004_16f628.mpas,95 :: 		T2CON.T2CKPS0 := 0;  // bit 0 |
	BCF        T2CON+0, 0
;electronique_base_temps_004_16f628.mpas,96 :: 		PR2           := cTimer2Preload;  // PR2 (Timer2 Match value)
	MOVLW      249
	MOVWF      PR2+0
;electronique_base_temps_004_16f628.mpas,98 :: 		TRISA := 0;  // PORTA as output
	CLRF       TRISA+0
;electronique_base_temps_004_16f628.mpas,99 :: 		TRISB := 0;  // PORTB as output
	CLRF       TRISB+0
;electronique_base_temps_004_16f628.mpas,100 :: 		PORTA := %00010000;  // init porta
	MOVLW      16
	MOVWF      PORTA+0
;electronique_base_temps_004_16f628.mpas,101 :: 		PORTB := %00000000;  // init portb
	CLRF       PORTB+0
;electronique_base_temps_004_16f628.mpas,103 :: 		iOut2Count := 0;
	CLRF       _iOut2Count+0
	CLRF       _iOut2Count+1
;electronique_base_temps_004_16f628.mpas,104 :: 		iOut3Count := 0;
	CLRF       _iOut3Count+0
	CLRF       _iOut3Count+1
;electronique_base_temps_004_16f628.mpas,105 :: 		iOut4Count := 0;
	CLRF       _iOut4Count+0
	CLRF       _iOut4Count+1
;electronique_base_temps_004_16f628.mpas,106 :: 		iOut7Count := 0;
	CLRF       _iOut7Count+0
	CLRF       _iOut7Count+1
;electronique_base_temps_004_16f628.mpas,107 :: 		iOut8Count := 0;
	CLRF       _iOut8Count+0
	CLRF       _iOut8Count+1
;electronique_base_temps_004_16f628.mpas,109 :: 		PCON.OSCF := 1;   // select internal 4 MHz osc (0 => 48 KHz)
	BSF        PCON+0, 3
;electronique_base_temps_004_16f628.mpas,111 :: 		end;
	RETURN
; end of electronique_base_temps_004_16f628_Init

electronique_base_temps_004_16f628_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_base_temps_004_16f628.mpas,114 :: 		begin
;electronique_base_temps_004_16f628.mpas,144 :: 		if bUseTimer2 then
	MOVF       _bUseTimer2+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_base_temps_004_16f628_Interrupt3
;electronique_base_temps_004_16f628.mpas,146 :: 		if TestBit(PIR1, TMR2IF) then
	CLRF       R0+0
	BTFSS      PIR1+0, 1
	GOTO       L_electronique_base_temps_004_16f628_Interrupt8
	MOVLW      1
	MOVWF      R0+0
L_electronique_base_temps_004_16f628_Interrupt8:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_base_temps_004_16f628_Interrupt6
;electronique_base_temps_004_16f628.mpas,148 :: 		ClearBit(PIR1, TMR2IF);      // reset T2 flag
	BCF        PIR1+0, 1
;electronique_base_temps_004_16f628.mpas,151 :: 		PORTA.1 := PORTA.1 xor $01;
	MOVLW      2
	XORWF      PORTA+0, 1
;electronique_base_temps_004_16f628.mpas,154 :: 		inc(iOut2Count);
	INCF       _iOut2Count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _iOut2Count+1, 1
;electronique_base_temps_004_16f628.mpas,155 :: 		if iOut2Count >= 10 then
	MOVLW      0
	SUBWF      _iOut2Count+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_base_temps_004_16f628_Interrupt36
	MOVLW      10
	SUBWF      _iOut2Count+0, 0
L_electronique_base_temps_004_16f628_Interrupt36:
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_base_temps_004_16f628_Interrupt10
;electronique_base_temps_004_16f628.mpas,157 :: 		PORTA.0 := PORTA.0 xor $01;
	MOVLW      1
	XORWF      PORTA+0, 1
;electronique_base_temps_004_16f628.mpas,158 :: 		iOut2Count := 0;
	CLRF       _iOut2Count+0
	CLRF       _iOut2Count+1
;electronique_base_temps_004_16f628.mpas,159 :: 		end;
L_electronique_base_temps_004_16f628_Interrupt10:
;electronique_base_temps_004_16f628.mpas,162 :: 		inc(iOut3Count);
	INCF       _iOut3Count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _iOut3Count+1, 1
;electronique_base_temps_004_16f628.mpas,163 :: 		if iOut3Count >= 100 then
	MOVLW      0
	SUBWF      _iOut3Count+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_base_temps_004_16f628_Interrupt37
	MOVLW      100
	SUBWF      _iOut3Count+0, 0
L_electronique_base_temps_004_16f628_Interrupt37:
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_base_temps_004_16f628_Interrupt13
;electronique_base_temps_004_16f628.mpas,165 :: 		PORTA.2 := PORTA.2 xor $01;
	MOVLW      4
	XORWF      PORTA+0, 1
;electronique_base_temps_004_16f628.mpas,166 :: 		iOut3Count := 0;
	CLRF       _iOut3Count+0
	CLRF       _iOut3Count+1
;electronique_base_temps_004_16f628.mpas,167 :: 		end;
L_electronique_base_temps_004_16f628_Interrupt13:
;electronique_base_temps_004_16f628.mpas,170 :: 		inc(iOut4Count);
	INCF       _iOut4Count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _iOut4Count+1, 1
;electronique_base_temps_004_16f628.mpas,171 :: 		if iOut4Count >= 1000 then
	MOVLW      3
	SUBWF      _iOut4Count+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_base_temps_004_16f628_Interrupt38
	MOVLW      232
	SUBWF      _iOut4Count+0, 0
L_electronique_base_temps_004_16f628_Interrupt38:
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_base_temps_004_16f628_Interrupt16
;electronique_base_temps_004_16f628.mpas,173 :: 		PORTA.3 := PORTA.3 xor $01;
	MOVLW      8
	XORWF      PORTA+0, 1
;electronique_base_temps_004_16f628.mpas,174 :: 		PORTA.4 := PORTA.3 xor $01;
	BTFSC      PORTA+0, 3
	GOTO       L_electronique_base_temps_004_16f628_Interrupt39
	BSF        PORTA+0, 4
	GOTO       L_electronique_base_temps_004_16f628_Interrupt40
L_electronique_base_temps_004_16f628_Interrupt39:
	BCF        PORTA+0, 4
L_electronique_base_temps_004_16f628_Interrupt40:
;electronique_base_temps_004_16f628.mpas,175 :: 		iOut4Count := 0;
	CLRF       _iOut4Count+0
	CLRF       _iOut4Count+1
;electronique_base_temps_004_16f628.mpas,178 :: 		inc(iOut7Count);
	INCF       _iOut7Count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _iOut7Count+1, 1
;electronique_base_temps_004_16f628.mpas,179 :: 		if iOut7Count >= 60 then
	MOVLW      0
	SUBWF      _iOut7Count+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_base_temps_004_16f628_Interrupt41
	MOVLW      60
	SUBWF      _iOut7Count+0, 0
L_electronique_base_temps_004_16f628_Interrupt41:
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_base_temps_004_16f628_Interrupt19
;electronique_base_temps_004_16f628.mpas,181 :: 		iOut7Count := 0;
	CLRF       _iOut7Count+0
	CLRF       _iOut7Count+1
;electronique_base_temps_004_16f628.mpas,182 :: 		PORTB.0 := PORTB.0 xor $01;
	MOVLW      1
	XORWF      PORTB+0, 1
;electronique_base_temps_004_16f628.mpas,185 :: 		inc(iOut8Count);
	INCF       _iOut8Count+0, 1
	BTFSC      STATUS+0, 2
	INCF       _iOut8Count+1, 1
;electronique_base_temps_004_16f628.mpas,186 :: 		if iOut8Count >= 60 then
	MOVLW      0
	SUBWF      _iOut8Count+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_base_temps_004_16f628_Interrupt42
	MOVLW      60
	SUBWF      _iOut8Count+0, 0
L_electronique_base_temps_004_16f628_Interrupt42:
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_base_temps_004_16f628_Interrupt22
;electronique_base_temps_004_16f628.mpas,188 :: 		iOut8Count := 0;
	CLRF       _iOut8Count+0
	CLRF       _iOut8Count+1
;electronique_base_temps_004_16f628.mpas,189 :: 		PORTB.1 := PORTB.1 xor $01;
	MOVLW      2
	XORWF      PORTB+0, 1
;electronique_base_temps_004_16f628.mpas,190 :: 		end;
L_electronique_base_temps_004_16f628_Interrupt22:
;electronique_base_temps_004_16f628.mpas,192 :: 		end;
L_electronique_base_temps_004_16f628_Interrupt19:
;electronique_base_temps_004_16f628.mpas,193 :: 		end;
L_electronique_base_temps_004_16f628_Interrupt16:
;electronique_base_temps_004_16f628.mpas,195 :: 		PR2 := cTimer2Preload;       // preload value for Timer2 PR2 (Timer2 Match value)
	MOVLW      249
	MOVWF      PR2+0
;electronique_base_temps_004_16f628.mpas,196 :: 		end;
L_electronique_base_temps_004_16f628_Interrupt6:
;electronique_base_temps_004_16f628.mpas,197 :: 		end;
L_electronique_base_temps_004_16f628_Interrupt3:
;electronique_base_temps_004_16f628.mpas,199 :: 		end;
L_electronique_base_temps_004_16f628_Interrupt35:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of electronique_base_temps_004_16f628_Interrupt

_main:

;electronique_base_temps_004_16f628.mpas,202 :: 		begin
;electronique_base_temps_004_16f628.mpas,203 :: 		Init;
	CALL       electronique_base_temps_004_16f628_Init+0
;electronique_base_temps_004_16f628.mpas,205 :: 		portB := $00;
	CLRF       PORTB+0
;electronique_base_temps_004_16f628.mpas,206 :: 		Delay_ms(600);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L__main25:
	DECFSZ     R13+0, 1
	GOTO       L__main25
	DECFSZ     R12+0, 1
	GOTO       L__main25
	DECFSZ     R11+0, 1
	GOTO       L__main25
	NOP
	NOP
;electronique_base_temps_004_16f628.mpas,207 :: 		portB := $FF;
	MOVLW      255
	MOVWF      PORTB+0
;electronique_base_temps_004_16f628.mpas,208 :: 		Delay_ms(600);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L__main26:
	DECFSZ     R13+0, 1
	GOTO       L__main26
	DECFSZ     R12+0, 1
	GOTO       L__main26
	DECFSZ     R11+0, 1
	GOTO       L__main26
	NOP
	NOP
;electronique_base_temps_004_16f628.mpas,209 :: 		portB := $00;
	CLRF       PORTB+0
;electronique_base_temps_004_16f628.mpas,210 :: 		Delay_ms(600);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L__main27:
	DECFSZ     R13+0, 1
	GOTO       L__main27
	DECFSZ     R12+0, 1
	GOTO       L__main27
	DECFSZ     R11+0, 1
	GOTO       L__main27
	NOP
	NOP
;electronique_base_temps_004_16f628.mpas,211 :: 		portB := $FF;
	MOVLW      255
	MOVWF      PORTB+0
;electronique_base_temps_004_16f628.mpas,212 :: 		Delay_ms(600);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L__main28:
	DECFSZ     R13+0, 1
	GOTO       L__main28
	DECFSZ     R12+0, 1
	GOTO       L__main28
	DECFSZ     R11+0, 1
	GOTO       L__main28
	NOP
	NOP
;electronique_base_temps_004_16f628.mpas,213 :: 		portB := $00;
	CLRF       PORTB+0
;electronique_base_temps_004_16f628.mpas,214 :: 		Delay_ms(300);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      134
	MOVWF      R12+0
	MOVLW      153
	MOVWF      R13+0
L__main29:
	DECFSZ     R13+0, 1
	GOTO       L__main29
	DECFSZ     R12+0, 1
	GOTO       L__main29
	DECFSZ     R11+0, 1
	GOTO       L__main29
;electronique_base_temps_004_16f628.mpas,217 :: 		while true do
L__main31:
;electronique_base_temps_004_16f628.mpas,220 :: 		nop;
	NOP
;electronique_base_temps_004_16f628.mpas,221 :: 		end;
	GOTO       L__main31
;electronique_base_temps_004_16f628.mpas,223 :: 		end.
	GOTO       $+0
; end of _main
